> For the complete documentation index, see [llms.txt](https://docs.momentum.sh/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.momentum.sh/using-momentum/generating-a-test-plan.md).

# Generating a test plan

<mark style="color:green;">`GET`</mark> `/test/plan`

Get the test plan of a specific node in the parsed codebase.

**Headers**

| Name          | Value            |
| ------------- | ---------------- |
| Authorization | `Bearer <token>` |

**Query Params**

| Name         | Type   | Description                                                                                              |
| ------------ | ------ | -------------------------------------------------------------------------------------------------------- |
| `project_id` | number | The project id generated during parsing of the code                                                      |
| `identifier` | string | The node id that points to the specific endpoint you want to get test plan for, ex : `/server.py:search` |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "happy_path": [
        "Search for a common term that matches multiple items",
        "Search for a unique term that matches exactly one item",
        "Search for a term that matches items with varying case sensitivity"
    ],
    "edge_case": [
        "Search with an empty string as the query",
        "Search with a query that matches no items",
        "Search with special characters in the query"
    ]
}
```

{% endtab %}

{% tab title="500" %}

```json
{
  Internal Server Error  //occours on incorrect query params value
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.momentum.sh/using-momentum/generating-a-test-plan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
